<script type="text/javascript" src="/cms-cps/tuithshorex/js/functions_cardDetails.js"></script>
<%@ page import="com.tui.uk.config.ConfReader" %>
<%
String TUIGiftCard = ConfReader.getConfEntry("TUIGiftCard.BINRange" , "");
pageContext.setAttribute("TUIGiftCard", TUIGiftCard, PageContext.REQUEST_SCOPE);
String ThomsonCreditCard = ConfReader.getConfEntry("ThomsonCreditcard.BINRange" , "");
pageContext.setAttribute("ThomsonCreditCard", ThomsonCreditCard, PageContext.REQUEST_SCOPE);
String isMasterCardGiftApplied = ConfReader.getConfEntry("isMasterCardGiftApplied" , "");
pageContext.setAttribute("isMasterCardGiftApplied", isMasterCardGiftApplied, PageContext.REQUEST_SCOPE);

%>


<% 
String MasterCardTUIGiftCard = ConfReader.getConfEntry("MasterCardTUIGiftCard.BINRange" , "");
pageContext.setAttribute("MasterCardTUIGiftCard", MasterCardTUIGiftCard, PageContext.REQUEST_SCOPE);
%>
<script>
MasterCardTUIGiftCardNumber = "<%= MasterCardTUIGiftCard %>";
</script>


<script>
 TUIGiftCardNumber = "<%= TUIGiftCard %>" ;
 ThomsonCreditCard = "<%= ThomsonCreditCard %>" ;
 isMasterCardGiftAppliedCheck="<%= isMasterCardGiftApplied %>" ;
</script>


			<div class="card-details-section card-holder max-width-form" id="card-details-hide">
											<div class="row c marg-bottom-25">
												<div id="creditPaymentTypeCode" style="display: none;">
													<div class="label">
														<label for="card-type">Card type</label>
													</div>
													<div class="select marg-bottom-5">
														<span class="text" id="cardTypespan">Select type of credit card</span>
														<span class="arrow"><span></span></span>
														<select id="cardType" name="dummy" gfv_required="required" alt="Card Type" chk="nonblank" onchange="checkIssueNumberEnabled(this.value)">
															<option id="pleaseSelect" value=''
																			selected="selected">Select type of credit card</option>
														<c:forEach var="paymentType" items="${bookingComponent.paymentType['CNP']}">
															 <c:if test="${paymentType.cardCategory=='Credit'}">
															 <c:if test="${paymentType.paymentCode eq 'MASTERCARD'}">
																   <c:set var="masterCardAvailable" scope="page" value="yes"/>
														    </c:if>
														    <c:if test="${paymentType.paymentCode eq 'VISA'}">
																   <c:set var="visaCardAvailable" scope="page" value="yes"/>
														   </c:if>
														 <option value='<c:out value='${paymentType.paymentCode}' escapeXml='false'/>|<c:out value='${paymentType.paymentMethod}' escapeXml='false'/>'>
															<c:out value="${paymentType.paymentDescription}" escapeXml='false' />
														 </option>
															 </c:if>
														</c:forEach>
														</select>
													</div>

												<div class="clear"></div>
											<c:forEach var="paymentType" items="${bookingComponent.paymentType['CNP']}">
								                 <c:if test="${paymentType.cardCategory=='Credit'}">
										        <c:choose>
													<c:when test="${masterCardAvailable ne 'yes' and paymentType.paymentCode eq 'TUI_MASTERCARD'}">
															 <span class="${paymentType.paymentCode}"></span>
													</c:when>
													<c:when test="${visaCardAvailable ne 'yes' and paymentType.paymentCode eq 'VISA Purchasing'}">
															 <span class="${paymentType.paymentCode}"></span>
													</c:when>
													<c:otherwise>
														<c:if test="${(paymentType.paymentCode ne 'TUI_MASTERCARD')  && (paymentType.paymentCode ne 'VISA Purchasing')}">
										        <span class="${paymentType.paymentCode}"></span>
								                 </c:if>
													</c:otherwise>
									         </c:choose>
								                 </c:if>
							                 </c:forEach>

												</div>
												<div id="debitPaymentTypeCode" style="display: none;">
												<div class="label">
													<label for="card-type">Card type</label>
												</div>
												<div class="select marg-bottom-5">
													<span class="text">Select type of debit card</span>
													<span class="arrow"><span></span></span>
													<select id="cardType" name="dummy" gfv_required="required" alt="Card Type" chk="nonblank" onchange="checkIssueNumberEnabled(this.value)">
														<option id="pleaseSelect" value="PleaseSelect"
																			selected="selected">Select type of debit card</option>
														<c:forEach var="paymentType" items="${bookingComponent.paymentType['CNP']}">
                                                         <c:if test="${paymentType.cardCategory=='Debit'}">
                                                        <option value='<c:out value='${paymentType.paymentCode}' escapeXml='false'/>|<c:out value='${paymentType.paymentMethod}' escapeXml='false'/>'>
                                                          <c:out value="${paymentType.paymentDescription}" escapeXml='false' />
                                                        </option>
                                                        </c:if>
                                                     </c:forEach>
													</select>
												</div>
												<div class="clear"></div>
												 <c:forEach var="paymentType" items="${bookingComponent.paymentType['CNP']}">
								             <c:if test="${paymentType.cardCategory=='Debit'}">
								                  	<span class="${paymentType.paymentCode}"></span>
								             </c:if>
							                     </c:forEach>

							                 </div>
											 <div id="giftPaymentTypeCode" style="display: none;"></div>

												<i class="caret erase red"></i>
											</div>
											
											<div class="row c marg-bottom-25" id="cardNumberDiv">
												<div class="label">
													<label for="card-number">Card number</label>
												</div>
												<input class="fl" type="tel" id="cardNumber" onblur="displayCardType();" chk="cardnumber" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false" onInput="checkLength(this)" name="payment_0_cardNumber" gfv_required="required" />
												<span id="card-detail" style="display:none;"></span>
												<span id="card-img" class="fl marg-top-5 marg-left-5"></span>
												<i class="caret tick green"></i>
												<i class="caret erase red"></i>
												<p id="card-desc" class="card-entered-text"></p>
											</div>
												<div class="row c marg-bottom-25" id="cardNameDiv">
													<div class="label">
														<label for="name">Name on card</label>
													</div>
													<input type="text" chk="alpha" id="cardName" name="payment_0_nameOnCard" autocomplete="off" autocorrect="off" spellcheck="false" maxlength="50" gfv_required="required" />
													<i class="caret tick green"></i>
													<i class="caret erase red"></i>
												</div>
										
												<div class="row c marg-bottom-25">
													<div class="label">
														<label for="month">Expiry date</label>
													</div>

													<c:set var="expiryMonthSelected" value="MM" />
													<div class="select fixed-width w95 marg-right-25 month">
														<span class="text " id="monthspan">MM</span>
														<span class="arrow"><span></span></span>
														<select id="expiryDateMM" name="payment_0_expiryMonth" gfv_required="required" alt="Expiry Date" chk="expirydate">
													<c:choose>
													<c:when test="${expiryMonthSelected == 'MM' }">
														<option value="" selected="selected">MM</option>
													</c:when>
													<c:otherwise>
														 <option value=""></option>
													</c:otherwise>
													</c:choose>
													<c:set var="expiryMonth" value="01" />
													<c:forEach begin="1" end="12" varStatus="loopStatus">
													<fmt:formatNumber var="expiryMonth" value="${loopStatus.count}" type="number" minIntegerDigits="2" pattern="##" />
													<c:choose>
													<c:when test="${expiryMonthSelected == expiryMonth}">
														<option value="<c:out value="${expiryMonth}"/>"	selected="selected">
															<c:out value="${expiryMonth}" />
														</option>
													</c:when>
													<c:otherwise>
														<option value="<c:out value="${expiryMonth}"/>">
															<c:out value="${expiryMonth}" />
														</option>
													</c:otherwise>
													</c:choose>
													</c:forEach>
														</select>
													</div>
													<c:set var="expiryYearSelected" value="YY" />
													<div class="select fixed-width w95">
														<span class="text" id="yearspan">Year</span>
														<span class="arrow"><span></span></span>
														<select id="expiryDateYY" name="payment_0_expiryYear" gfv_required="required" alt="Expiry Date" chk="expirydate">
														<c:choose>
																<c:when test="${expiryYearSelected == 'YY' }">
																	<option value="" selected="selected">YY</option>
																</c:when>
														<c:otherwise>
																	<option value=""></option>
														</c:otherwise>
														</c:choose>
														<c:forEach var="expiryYear" items="${bookingInfo.expiryYearList}">
																  <option value='<c:out value='${expiryYear}'/>'>
																  <c:out value='${expiryYear}' />
																 </option>
														</c:forEach>
														</select>
													</div>
													<!-- <i class="caret tick green"></i> -->
													<i class="caret erase red"></i>
												</div>
											
												
												<div class="row marg-bottom-25 c " id="issue">
													<div class="label">
														<label for="sec-code">Issue number</label>
													</div>
													<input type="tel" class="fixed-width w120" id="issueNumber" name="payment_0_issueNumber" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false" maxlength="2" chk="issuenumber" />
													<a class="tooltip marg-left-10 size-15" href="javascript:void(0)" data-tooltip-text="Please enter the issue number on the front of the card (if applicable).">
														What's this?
													</a>
													<i class="caret tick green"></i>
													<i class="caret erase red"></i>
												</div>
													<div class="row marg-bottom-25 c" id="securityCodeDiv">
														<div class="label">
															<label for="sec-code">Security code</label>
														</div>
														<c:forEach var="toolTips" items="${bookingInfo.bookingComponent.nonPaymentData}" varStatus="status">
											<c:if test="${toolTips.key eq 'Payment_SecurityCode_ToolTip'}">
												  <c:set var="tooltip" value="${toolTips.value}" />
											</c:if>
													   </c:forEach>
														<input type="tel" class="fixed-width w120" id="securityCode" name="payment_0_securityCode" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false" maxlength="4" gfv_required="required" chk="securitycode" />
														<a class="tooltip marg-left-10 size-15" href="javascript:void(0)" data-tooltip-text="${tooltip}">
															What's this?
														</a>
														<i class="caret tick green"></i>
														<i class="caret erase red"></i>
													</div>
											
												<%@include file="threeDSecureImages.jspf"%>

										</div>

